/**
 * For simplicity (and performance reasons) we do not
 */

#include <config.h>

#include <stdio.h>
#include <string>
#include "../common.h"
#include "FeatureFunctionLemma.h"

FeatureFunctionLemma::FeatureFunctionLemma(Dictionary *dict, WordBuffer *wb, const char *args) : FeatureFunctionColumn(dict, wb) {
}

FeatureFunctionLemma::~FeatureFunctionLemma() {
}

const char *FeatureFunctionLemma::getName() {
	return "Lemma()";
}

int FeatureFunctionLemma::getValue(int origRow, int row, bool useCorrectTags) {
	return useCorrectTags ? wb->getAdditionalCorrectTagValue(row) : wb->getAdditionalProposedTagValue(row);
//FIXME: debug
#if 0
int tag = useCorrectTags ? wb->getCorrectTagValue(row) : wb->getProposedTagValue(row);
int total = wb->getOfferSize(row);
for (int i = 0; i < total; i++) {
	if (wb->getOfferValue(row, i) == tag)
		return wb->getAdditionalOfferValue(row, i);
}
return DICTIONARY_NULL;
#endif
}
