/**
 * Feature function: lemma() 
 */
#ifndef _FEATURE_FUNCTION_LEMMA_H_
#define _FEATURE_FUNCTION_LEMMA_H_

#include <config.h>

#include <string>
#include "../FeatureFunctionColumn.h"

class FeatureFunctionLemma: public FeatureFunctionColumn {
public:
	FeatureFunctionLemma(Dictionary *dict, WordBuffer *wb, const char *str);
	~FeatureFunctionLemma();

	const char *getName();
	int getValue(int origRow, int row, bool useCorrectTags);
};

#endif
