/**
 * Feature function: mask(01011001)
 */
#ifndef _FEATURE_FUNCTION_MASK_H_
#define _FEATURE_FUNCTION_MASK_H_

#include <config.h>

#include <tr1/unordered_map>
#include <string>
#include "../FeatureFunctionTransform.h"

using namespace std;

class FeatureFunctionMask: public FeatureFunctionTransform {
	int a, b;
	char *name;
	char *mask;
	int maskLen;
	// simple transformation cache, we do not need to hassle with strings
	tr1::unordered_map<int, int> cache;
	char *tmpBuffer;
public:
	FeatureFunctionMask(Dictionary *dict, WordBuffer *wb, const char *str);
	~FeatureFunctionMask();

	const char *getName();
	int transformValue(int value, bool useCorrectTags);
};

#endif
