/**
 * Feature function: lemma() 
 */
#ifndef _FEATURE_FUNCTION_PARENT_H_
#define _FEATURE_FUNCTION_PARENT_H_

#include <config.h>

#include <tr1/unordered_map>
#include <string>
#include "../FeatureFunctionRow.h"

using namespace std;

class FeatureFunctionParent: public FeatureFunctionRow {
	char *name;
	int column;
	// simple transformation cache, we do not need to hassle with strings
	tr1::unordered_map<int, int> cache;
public:
	FeatureFunctionParent(Dictionary *dict, WordBuffer *wb, const char *str);
	~FeatureFunctionParent();

	const char *getName();
	void getTagContextSize(int *min, int *max);
	int getRow(int origRow, bool useCorrectTags);
};

#endif
