/**
 * Feature function: lemma() 
 */
#ifndef _FEATURE_FUNCTION_PARENT_DIRECTION_H_
#define _FEATURE_FUNCTION_PARENT_DIRECTION_H_

#include <config.h>

#include <tr1/unordered_map>
#include <string>
#include "../FeatureFunctionColumn.h"

using namespace std;

class FeatureFunctionParentDirection: public FeatureFunctionColumn {
	int l, r;
	// simple transformation cache, we do not need to hassle with strings
	tr1::unordered_map<int, int> cache;
public:
	FeatureFunctionParentDirection(Dictionary *dict, WordBuffer *wb, const char *str);
	~FeatureFunctionParentDirection();

	const char *getName();
	int getValue(int origRow, int row, bool useCorrectTags);
};

#endif
