/**
 * For simplicity (and performance reasons) we do not
 */

#include <config.h>

#include <stdio.h>
#include <stdlib.h>
#include <string>
#include "../common.h"
#include "FeatureFunctionParentDirection.h"

FeatureFunctionParentDirection::FeatureFunctionParentDirection(Dictionary *dict, WordBuffer *wb, const char *args) : FeatureFunctionColumn(dict, wb) {
	l = dict->getId("L", true);
	r = dict->getId("R", true);
}

FeatureFunctionParentDirection::~FeatureFunctionParentDirection() {
}

const char *FeatureFunctionParentDirection::getName() {
	return "ParentDirection()";
}

int FeatureFunctionParentDirection::getValue(int origRow, int row, bool useCorrectTags) {
//if (useCorrectTags) {
//fprintf(stderr, "%d -> %d (%c)\n", row, parentIndex, parentIndex > row ? 'r' : 'l');
//}
	return row > origRow ? r : l;
}
