/**
 * Feature function: substr(a, b)
 */
#ifndef _FEATURE_FUNCTION_SUBSTR_H_
#define _FEATURE_FUNCTION_SUBSTR_H_

#include <config.h>

#include <tr1/unordered_map>
#include <string>
#include "../FeatureFunctionTransform.h"

using namespace std;

class FeatureFunctionSubstr: public FeatureFunctionTransform {
	int a, b;
	char *name;
	// simple transformation cache, we do not need to hassle with strings
	tr1::unordered_map<int, int> cache;
	char *tmpBuffer;
public:
	FeatureFunctionSubstr(Dictionary *dict, WordBuffer *wb, const char *str);
	~FeatureFunctionSubstr();

	const char *getName();
	int transformValue(int value, bool useCorrectTags);
};

#endif
